Index: src/UIElements/Qt4/QtDialog.cpp
===================================================================
--- src/UIElements/Qt4/QtDialog.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/QtDialog.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -45,7 +45,9 @@
 using namespace std;
 
-QtDialog::QtDialog() :
-    QDialog(0)
-{
+QtDialog::QtDialog(const std::string &_title) :
+    QDialog(0),
+    Dialog(_title)
+{
+  setWindowTitle(QString(_title.c_str()));
   // creating and filling of the Dialog window
   mainLayout = new QVBoxLayout();
Index: src/UIElements/Qt4/QtDialog.hpp
===================================================================
--- src/UIElements/Qt4/QtDialog.hpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/QtDialog.hpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -30,5 +30,5 @@
   Q_OBJECT
 public:
-  QtDialog();
+  QtDialog(const std::string &_title);
   virtual ~QtDialog();
 
Index: src/UIElements/Qt4/QtUIFactory.cpp
===================================================================
--- src/UIElements/Qt4/QtUIFactory.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/QtUIFactory.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -67,6 +67,6 @@
 }
 
-Dialog* QtUIFactory::makeDialog() {
-  return new QtDialog();
+Dialog* QtUIFactory::makeDialog(const std::string &_title) {
+  return new QtDialog(_title);
 }
 
Index: src/UIElements/Qt4/QtUIFactory.hpp
===================================================================
--- src/UIElements/Qt4/QtUIFactory.hpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/QtUIFactory.hpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -26,5 +26,5 @@
   virtual ~QtUIFactory();
 
-  virtual Dialog* makeDialog();
+  virtual Dialog* makeDialog(const std::string &_title);
   virtual MainWindow* makeMainWindow();
 
Index: src/UIElements/Qt4/Query/AtomsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/AtomsQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/AtomsQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -47,5 +47,5 @@
     QtQueryList<const atom *>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new AtomQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/DoublesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/DoublesQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -47,5 +47,5 @@
     QtQueryList<double>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new DoubleQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/ElementsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/ElementsQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -48,5 +48,5 @@
     QtQueryList<const element *>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new ElementQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/FilesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/FilesQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -48,5 +48,5 @@
     QtQueryList<boost::filesystem::path>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new FileQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/IntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/IntsQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -47,5 +47,5 @@
     QtQueryList<int>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new IntQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/MoleculesQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/MoleculesQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -47,5 +47,5 @@
     QtQueryList<const molecule *>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new MoleculeQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/QtQueryList.hpp
===================================================================
--- src/UIElements/Qt4/Query/QtQueryList.hpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/QtQueryList.hpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -107,5 +107,9 @@
 {
 public:
-  ListQuerySubDialog(QtQueryListUntyped *_parent) : parent(_parent), sub(NULL){}
+  ListQuerySubDialog(QtQueryListUntyped *_parent, const std::string &_title) :
+    Dialog(_title),
+    parent(_parent),
+    sub(NULL)
+  {}
   virtual void update()
   {
Index: src/UIElements/Qt4/Query/StringsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/StringsQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -47,5 +47,5 @@
     QtQueryList<std::string>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new StringQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/UnsignedIntsQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -47,5 +47,5 @@
     QtQueryList<unsigned int>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new UnsignedIntQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);
Index: src/UIElements/Qt4/Query/VectorsQtQuery.cpp
===================================================================
--- src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision dae15830575cff1e67648579393887f666f06f35)
+++ src/UIElements/Qt4/Query/VectorsQtQuery.cpp	(revision 1631101c583989217756e201430f3b6f4e8c6e90)
@@ -48,5 +48,5 @@
     QtQueryList<Vector>(_param, _parent, _dialog, temp)
 {
-  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this);
+  ListQuerySubDialog *subDialog = new ListQuerySubDialog(this, _title);
   subQuery = new VectorQtQuery(*subParam, _title, _description, thisVLayout, subDialog);
   subDialog->setSubQuery(subQuery);