Index: configure.ac
===================================================================
--- configure.ac	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ configure.ac	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -228,5 +228,4 @@
 	src/Exceptions/Makefile
   src/Graph/Makefile
-  src/Helpers/Makefile
 	src/LinearAlgebra/Makefile
 	src/Parser/Makefile
Index: src/BoundaryPolygonSet.cpp
===================================================================
--- src/BoundaryPolygonSet.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/BoundaryPolygonSet.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -30,10 +30,10 @@
 
 #include "CodePatterns/Assert.hpp"
-#include "Helpers/helpers.hpp"
 #include "CodePatterns/Info.hpp"
 #include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "Helpers/helpers.hpp"
 #include "LinearAlgebra/Plane.hpp"
 #include "LinearAlgebra/Vector.hpp"
-#include "CodePatterns/Verbose.hpp"
 
 using namespace std;
Index: src/ConfigFileBuffer.cpp
===================================================================
--- src/ConfigFileBuffer.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/ConfigFileBuffer.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -25,7 +25,8 @@
 
 #include "ConfigFileBuffer.hpp"
-#include "Helpers/helpers.hpp"
 #include "CodePatterns/Verbose.hpp"
 #include "CodePatterns/Log.hpp"
+#include "Helpers/defs.hpp"
+#include "Helpers/helpers.hpp"
 #include "World.hpp"
 
Index: src/Dynamics/MinimiseConstrainedPotential.cpp
===================================================================
--- src/Dynamics/MinimiseConstrainedPotential.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Dynamics/MinimiseConstrainedPotential.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -31,4 +31,5 @@
 #include "CodePatterns/Verbose.hpp"
 #include "CodePatterns/Log.hpp"
+#include "Helpers/helpers.hpp"
 #include "molecule.hpp"
 #include "parser.hpp"
Index: src/Dynamics/OutputTemperature.hpp
===================================================================
--- src/Dynamics/OutputTemperature.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Dynamics/OutputTemperature.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -13,4 +13,6 @@
 #include <config.h>
 #endif
+
+#include "Helpers/defs.hpp"
 
 template <class T>
Index: src/Dynamics/VerletForceIntegration.hpp
===================================================================
--- src/Dynamics/VerletForceIntegration.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Dynamics/VerletForceIntegration.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -21,4 +21,5 @@
 #include "CodePatterns/Verbose.hpp"
 #include "Dynamics/MinimiseConstrainedPotential.hpp"
+#include "Helpers/helpers.hpp"
 #include "LinearAlgebra/Vector.hpp"
 #include "parser.hpp"
Index: src/Formula.hpp
===================================================================
--- src/Formula.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Formula.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -22,5 +22,4 @@
 
 #include "types.hpp"
-#include "Helpers/helpers.hpp"
 
 #include "CodePatterns/enumeration.hpp"
Index: src/Graph/CheckAgainstAdjacencyFile.cpp
===================================================================
--- src/Graph/CheckAgainstAdjacencyFile.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Graph/CheckAgainstAdjacencyFile.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -27,4 +27,7 @@
 #include "Bond/bond.hpp"
 #include "CodePatterns/Assert.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "Helpers/defs.hpp"
 
 CheckAgainstAdjacencyFile::CheckAgainstAdjacencyFile() :
Index: c/Helpers/Makefile.am
===================================================================
--- src/Helpers/Makefile.am	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ 	(revision )
@@ -1,64 +1,0 @@
-# PLEASE adhere to the alphabetical ordering in this Makefile!
-# Also indentation by a single tab
-
-INCLUDES = -I$(top_srcdir)/src
-
-AM_LDFLAGS = ${CodePatterns_LIBS} -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} ${CodePatterns_CFLAGS}
-
-HELPERSOURCE = \
-	defs.cpp \
-	helpers.cpp
-				  
-HELPERHEADER = \
-	defs.hpp \
-	helpers.hpp
-
-
-lib_LTLIBRARIES = libMolecuilderHelpers.la
-libMolecuilderHelpers_la_includedir = $(includedir)/MoleCuilder/Helpers/
-nobase_libMolecuilderHelpers_la_include_HEADERS = ${HELPERHEADER}
-
-## Define the source file list for the "libexample-@MOLECUILDER_API_VERSION@.la"
-## target.  Note that @MOLECUILDER_API_VERSION@ is not interpreted by Automake and
-## will therefore be treated as if it were literally part of the target name,
-## and the variable name derived from that.
-## The file extension .cc is recognized by Automake, and makes it produce
-## rules which invoke the C++ compiler to produce a libtool object file (.lo)
-## from each source file.  Note that it is not necessary to list header files
-## which are already listed elsewhere in a _HEADERS variable assignment.
-libMolecuilderHelpers_la_SOURCES = ${HELPERSOURCE}
-
-## Instruct libtool to include ABI version information in the generated shared
-## library file (.so).  The library ABI version is defined in configure.ac, so
-## that all version information is kept in one place.
-libMolecuilderHelpers_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
-
-## The generated configuration header is installed in its own subdirectory of
-## $(libdir).  The reason for this is that the configuration information put
-## into this header file describes the target platform the installed library
-## has been built for.  Thus the file must not be installed into a location
-## intended for architecture-independent files, as defined by the Filesystem
-## Hierarchy Standard (FHS).
-## The nodist_ prefix instructs Automake to not generate rules for including
-## the listed files in the distribution on 'make dist'.  Files that are listed
-## in _HEADERS variables are normally included in the distribution, but the
-## configuration header file is generated at configure time and should not be
-## shipped with the source tarball.
-#libMolecuilderHelpers_libincludedir = $(libdir)/MoleCuilder/include
-#nodist_libMolecuilderHelpers_libinclude_HEADERS = $(top_builddir)/libmolecuilder_config.h
-
-## Install the generated pkg-config file (.pc) into the expected location for
-## architecture-dependent package configuration information.  Occasionally,
-## pkg-config files are also used for architecture-independent data packages,
-## in which case the correct install location would be $(datadir)/pkgconfig.
-#pkgconfigdir = $(libdir)/pkgconfig
-#pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
-
-unity.cpp:
-	echo "" >  unity.cpp; \
-	list='$(GRAPHSOURCE)'; for file in $$list; do \
-	  echo "#include \"$(srcdir)/$$file\"" >> unity.cpp; \
-	done;
-	
-MOSTLYCLEANFILES = unity.cpp
Index: src/Helpers/defs.hpp
===================================================================
--- src/Helpers/defs.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Helpers/defs.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -33,6 +33,4 @@
 
 //enum BondOrderScheme { NoScheme, BottomUp, TopDown, ANOVA, Combined }; //!< Fragmentation scheme used in BOSS
-
-
 
 //enum CutCyclicBond { KeepBond,  SaturateBond }; //!< Saturation scheme either atom- or bondwise 
Index: c/Helpers/helpers.cpp
===================================================================
--- src/Helpers/helpers.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ 	(revision )
@@ -1,35 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/** \file helpers.cpp
- *
- * Implementation of some auxiliary functions for memory dis-/allocation and so on
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "CodePatterns/Verbose.hpp"
-#include "CodePatterns/Log.hpp"
-#include "Helpers/helpers.hpp"
-
-#include <iostream>
-
-/********************************************** helpful functions *********************************/
-
-
-/**
- * Calls exit(255).
- */
-void performCriticalExit() {
-  exit(255);
-}
-
Index: src/Helpers/helpers.hpp
===================================================================
--- src/Helpers/helpers.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Helpers/helpers.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -16,17 +16,13 @@
 #endif
 
-#include <fstream>
-
-#include "Helpers/defs.hpp"
-#include "CodePatterns/Log.hpp"
-
-/********************************************** definitions *********************************/
-
-/********************************************** helpful functions *********************************/
-
-void performCriticalExit();
+#include <cstdlib>
 
 /********************************************** helpful template functions *********************************/
 
+
+inline void performCriticalExit()
+{
+  exit(255);
+}
 
 
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Makefile.am	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -3,5 +3,4 @@
 
 SUBDIRS = \
-  Helpers \
 	Exceptions \
 	RandomNumbers \
@@ -144,4 +143,11 @@
   Graph/BondGraph.hpp
 
+HELPERSSOURCE = \
+	Helpers/defs.cpp
+
+HELPERSHEADER = \
+	Helpers/defs.hpp \
+	Helpers/helpers.hpp
+
 THERMOSTATSOURCE = \
   Thermostats/Berendsen.cpp \
@@ -192,4 +198,5 @@
   ${DYNAMICSSOURCE} \
   ${GRAPHSOURCE} \
+  ${HELPERSSOURCE} \
   ${RANDOMSOURCE} \
   ${THERMOSTATSOURCE} \
@@ -227,4 +234,5 @@
   ${DYNAMICSHEADER} \
   ${GRAPHHEADER} \
+  ${HELPERSHEADER} \
   ${RANDOMSOURCE} \
   ${THERMOSTATHEADER} \
@@ -254,5 +262,4 @@
 	LinearAlgebra/libMolecuilderLinearAlgebra.la \
 	Graph/libMolecuilderGraph.la \
-	Helpers/libMolecuilderHelpers.la \
 	${CodePatterns_LIBS} \
 	${BOOST_PROGRAM_OPTIONS_LIB}
@@ -324,5 +331,4 @@
 	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
-	Helpers/libMolecuilderHelpers.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
@@ -347,5 +353,4 @@
 	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
-	Helpers/libMolecuilderHelpers.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB) \
@@ -363,5 +368,4 @@
 	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
-	Helpers/libMolecuilderHelpers.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
@@ -378,5 +382,4 @@
 	Exceptions/libMolecuilderExceptions.la \
 	RandomNumbers/libMolecuilderRandomNumbers.la \
-	Helpers/libMolecuilderHelpers.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
Index: src/Parser/unittests/ParserPcpUnitTest.cpp
===================================================================
--- src/Parser/unittests/ParserPcpUnitTest.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Parser/unittests/ParserPcpUnitTest.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -29,4 +29,5 @@
 #include "element.hpp"
 #include "periodentafel.hpp"
+#include "CodePatterns/Log.hpp"
 #include "Descriptors/AtomTypeDescriptor.hpp"
 
Index: src/Parser/unittests/ParserPdbUnitTest.cpp
===================================================================
--- src/Parser/unittests/ParserPdbUnitTest.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Parser/unittests/ParserPdbUnitTest.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -29,4 +29,5 @@
 #include "element.hpp"
 #include "periodentafel.hpp"
+#include "CodePatterns/Log.hpp"
 #include "Descriptors/AtomTypeDescriptor.hpp"
 
Index: src/Parser/unittests/ParserXyzUnitTest.cpp
===================================================================
--- src/Parser/unittests/ParserXyzUnitTest.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Parser/unittests/ParserXyzUnitTest.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -29,4 +29,5 @@
 #include "element.hpp"
 #include "periodentafel.hpp"
+#include "CodePatterns/Log.hpp"
 #include "Descriptors/AtomTypeDescriptor.hpp"
 
Index: src/Shapes/unittests/Makefile.am
===================================================================
--- src/Shapes/unittests/Makefile.am	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Shapes/unittests/Makefile.am	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -19,5 +19,4 @@
 	../../LinearAlgebra/libMolecuilderLinearAlgebra.la \
 	../../Exceptions/libMolecuilderExceptions.la \
-	../../Helpers/libMolecuilderHelpers.la \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
@@ -25,5 +24,6 @@
 ShapeUnittest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
 	ShapeUnitTest.cpp \
-	ShapeUnitTest.hpp
+	ShapeUnitTest.hpp \
+	../../Helpers/defs.cpp
 ShapeUnittest_LDADD = $(SHAPELIBS)
 
Index: src/Thermostats/Berendsen.cpp
===================================================================
--- src/Thermostats/Berendsen.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Thermostats/Berendsen.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -18,4 +18,5 @@
 #include "CodePatterns/Verbose.hpp"
 #include "CodePatterns/Log.hpp"
+#include "Helpers/defs.hpp"
 #include "ThermoStatContainer.hpp"
 #include "World.hpp"
Index: src/Thermostats/GaussianThermostat.cpp
===================================================================
--- src/Thermostats/GaussianThermostat.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Thermostats/GaussianThermostat.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -14,7 +14,8 @@
 
 #include "GaussianThermostat.hpp"
-#include "LinearAlgebra/Vector.hpp"
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
+#include "Helpers/defs.hpp"
+#include "LinearAlgebra/Vector.hpp"
 #include "AtomSet.hpp"
 #include "element.hpp"
Index: src/Thermostats/Langevin.cpp
===================================================================
--- src/Thermostats/Langevin.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Thermostats/Langevin.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -18,4 +18,5 @@
 #include "CodePatterns/Verbose.hpp"
 #include "CodePatterns/Log.hpp"
+#include "Helpers/defs.hpp"
 #include "ThermoStatContainer.hpp"
 
Index: src/Thermostats/NoseHoover.cpp
===================================================================
--- src/Thermostats/NoseHoover.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Thermostats/NoseHoover.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -19,4 +19,5 @@
 #include "CodePatterns/Verbose.hpp"
 #include "CodePatterns/Log.hpp"
+#include "Helpers/defs.hpp"
 #include "ThermoStatContainer.hpp"
 #include "World.hpp"
Index: src/Thermostats/Woodcock.cpp
===================================================================
--- src/Thermostats/Woodcock.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/Thermostats/Woodcock.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -19,4 +19,5 @@
 #include "CodePatterns/Verbose.hpp"
 #include "CodePatterns/Log.hpp"
+#include "Helpers/defs.hpp"
 #include "ThermoStatContainer.hpp"
 
Index: src/UIElements/Views/Qt4/QtStatusBar.cpp
===================================================================
--- src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/UIElements/Views/Qt4/QtStatusBar.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -29,5 +29,4 @@
 
 #include "World.hpp"
-#include "Helpers/helpers.hpp"
 #include "Actions/Process.hpp"
 
Index: src/analysis_correlation.hpp
===================================================================
--- src/analysis_correlation.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/analysis_correlation.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -32,4 +32,5 @@
 #include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
+#include "Helpers/helpers.hpp"
 
 /****************************************** forward declarations *****************************/
Index: src/analyzer.cpp
===================================================================
--- src/analyzer.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/analyzer.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -23,9 +23,10 @@
 
 #include <cstring>
+#include <cmath>
 
 #include "datacreator.hpp"
-#include "Helpers/helpers.hpp"
 #include "parser.hpp"
 #include "periodentafel.hpp"
+#include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
 
Index: src/atom.hpp
===================================================================
--- src/atom.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/atom.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -22,5 +22,4 @@
 #include <vector>
 
-#include "Helpers/helpers.hpp"
 #include "atom_atominfo.hpp"
 #include "atom_bondedparticle.hpp"
Index: src/boundary.cpp
===================================================================
--- src/boundary.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/boundary.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -31,5 +31,4 @@
 #include "config.hpp"
 #include "element.hpp"
-#include "Helpers/helpers.hpp"
 #include "LinearAlgebra/Plane.hpp"
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/config.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -35,6 +35,6 @@
 #include "ConfigFileBuffer.hpp"
 #include "element.hpp"
+#include "Graph/BondGraph.hpp"
 #include "Helpers/helpers.hpp"
-#include "Graph/BondGraph.hpp"
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
 #include "molecule.hpp"
Index: src/datacreator.cpp
===================================================================
--- src/datacreator.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/datacreator.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -21,11 +21,16 @@
 #include "CodePatterns/MemDebug.hpp"
 
+#include <fstream>
+#include <sstream>
+#include <iomanip>
+
+#include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
 #include "LinearAlgebra/defs.hpp"
-#include "Helpers/helpers.hpp"
+#include "Helpers/defs.hpp"
 #include "datacreator.hpp"
 #include "parser.hpp"
 
-#include <iomanip>
+using namespace std;
 
 //=========================== FUNCTIONS============================
Index: src/joiner.cpp
===================================================================
--- src/joiner.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/joiner.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -23,9 +23,10 @@
 
 #include <cstring>
+#include <cmath>
 
 #include "datacreator.hpp"
-#include "Helpers/helpers.hpp"
 #include "parser.hpp"
 #include "periodentafel.hpp"
+#include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
 
Index: src/linkedcell.cpp
===================================================================
--- src/linkedcell.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/linkedcell.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -20,5 +20,4 @@
 
 #include "atom.hpp"
-#include "Helpers/helpers.hpp"
 #include "linkedcell.hpp"
 #include "CodePatterns/Verbose.hpp"
Index: src/molecule.cpp
===================================================================
--- src/molecule.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/molecule.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -36,5 +36,4 @@
 #include "graph.hpp"
 #include "Graph/BondGraph.hpp"
-#include "Helpers/helpers.hpp"
 #include "LinearAlgebra/leastsquaremin.hpp"
 #include "LinearAlgebra/Plane.hpp"
Index: src/molecule.hpp
===================================================================
--- src/molecule.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/molecule.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -28,4 +28,5 @@
 #include "CodePatterns/ObservedIterator.hpp"
 #include "CodePatterns/Cacheable.hpp"
+#include "Helpers/defs.hpp"
 #include "Formula.hpp"
 #include "AtomSet.hpp"
Index: src/molecule_geometry.cpp
===================================================================
--- src/molecule_geometry.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/molecule_geometry.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -28,5 +28,4 @@
 #include "element.hpp"
 #include "Graph/BondGraph.hpp"
-#include "Helpers/helpers.hpp"
 #include "LinearAlgebra/leastsquaremin.hpp"
 #include "LinearAlgebra/Line.hpp"
Index: src/molecule_graph.cpp
===================================================================
--- src/molecule_graph.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/molecule_graph.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -34,5 +34,4 @@
 #include "Graph/BondGraph.hpp"
 #include "Helpers/defs.hpp"
-#include "Helpers/helpers.hpp"
 #include "LinearAlgebra/RealSpaceMatrix.hpp"
 #include "linkedcell.hpp"
Index: src/parser.cpp
===================================================================
--- src/parser.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/parser.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -22,9 +22,14 @@
 
 #include <cstring>
+#include <fstream>
 #include <iomanip>
 
+#include "parser.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "Helpers/defs.hpp"
 #include "Helpers/helpers.hpp"
-#include "parser.hpp"
-#include "CodePatterns/Verbose.hpp"
+
+using namespace std;
 
 // ======================================= FUNCTIONS ==========================================
@@ -287,5 +292,5 @@
     }
   } else {
-    DoeLog(1) && (eLog()<< Verbose(1) << "Matrix nr. " << MatrixNr << " has column and row count of (" << ColumnCounter[MatrixNr] << "," << RowCounter[MatrixNr] << "), could not allocate nor parse!" << endl); 
+    DoeLog(1) && (eLog()<< Verbose(1) << "Matrix nr. " << MatrixNr << " has column and row count of (" << ColumnCounter[MatrixNr] << "," << RowCounter[MatrixNr] << "), could not allocate nor parse!" << endl);
   }
   return true;
Index: src/periodentafel.cpp
===================================================================
--- src/periodentafel.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/periodentafel.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -27,5 +27,4 @@
 #include "element.hpp"
 #include "elements_db.hpp"
-#include "Helpers/helpers.hpp"
 #include "CodePatterns/Log.hpp"
 #include "periodentafel.hpp"
Index: src/tesselation.hpp
===================================================================
--- src/tesselation.hpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/tesselation.hpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -29,5 +29,4 @@
 #include "BoundaryMaps.hpp"
 #include "BoundaryPointSet.hpp"
-#include "Helpers/helpers.hpp"
 #include "LinearAlgebra/Vector.hpp"
 #include "TesselPoint.hpp"
Index: src/triangleintersectionlist.cpp
===================================================================
--- src/triangleintersectionlist.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/triangleintersectionlist.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -27,12 +27,14 @@
 #include "triangleintersectionlist.hpp"
 
-#include "CodePatterns/Info.hpp"
+#include "tesselation.hpp"
 #include "BoundaryMaps.hpp"
 #include "BoundaryPointSet.hpp"
 #include "BoundaryLineSet.hpp"
 #include "BoundaryTriangleSet.hpp"
-#include "tesselation.hpp"
+#include "CodePatterns/Info.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "Helpers/defs.hpp"
 #include "LinearAlgebra/Vector.hpp"
-#include "CodePatterns/Verbose.hpp"
 
 /** Constructor for class TriangleIntersectionList.
Index: src/unittests/ListOfBondsUnitTest.cpp
===================================================================
--- src/unittests/ListOfBondsUnitTest.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/unittests/ListOfBondsUnitTest.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -26,5 +26,5 @@
 #include <cstring>
 
-
+#include "CodePatterns/Log.hpp"
 #include "World.hpp"
 #include "atom.hpp"
Index: src/unittests/Makefile.am
===================================================================
--- src/unittests/Makefile.am	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/unittests/Makefile.am	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -44,5 +44,4 @@
 	../Exceptions/libMolecuilderExceptions.la \
 	../RandomNumbers/libMolecuilderRandomNumbers.la \
-	../Helpers/libMolecuilderHelpers.la \
 	$(BOOST_LIB)
 ALLLIBS = \
Index: src/unittests/TesselationUnitTest.cpp
===================================================================
--- src/unittests/TesselationUnitTest.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/unittests/TesselationUnitTest.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -29,4 +29,5 @@
 #include "BoundaryTriangleSet.hpp"
 #include "CandidateForTesselation.hpp"
+#include "CodePatterns/Log.hpp"
 #include "Helpers/defs.hpp"
 #include "PointCloudAdaptor.hpp"
Index: src/unittests/Tesselation_BoundaryTriangleUnitTest.cpp
===================================================================
--- src/unittests/Tesselation_BoundaryTriangleUnitTest.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/unittests/Tesselation_BoundaryTriangleUnitTest.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -27,4 +27,5 @@
 #include <iostream>
 
+#include "CodePatterns/Log.hpp"
 #include "Helpers/defs.hpp"
 #include "TesselPoint.hpp"
Index: src/unittests/Tesselation_InsideOutsideUnitTest.cpp
===================================================================
--- src/unittests/Tesselation_InsideOutsideUnitTest.cpp	(revision 8766e72010ab64c79807df9ff4eb81ce55f43598)
+++ src/unittests/Tesselation_InsideOutsideUnitTest.cpp	(revision 2558294f484d39a0281f98d18f6262ab77448e87)
@@ -30,4 +30,5 @@
 #include "BoundaryTriangleSet.hpp"
 #include "CandidateForTesselation.hpp"
+#include "CodePatterns/Log.hpp"
 #include "CodePatterns/Verbose.hpp"
 #include "Helpers/defs.hpp"