Index: src/RandomNumbers/Makefile.am
===================================================================
--- src/RandomNumbers/Makefile.am	(revision 0bfe73198acf0b25ec0a7bb4d1fbea55f5b248d1)
+++ src/RandomNumbers/Makefile.am	(revision 4555736a848291ba2a2394892fd02081032c5861)
@@ -2,39 +2,37 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+#INCLUDES = -I$(top_srcdir)/src
 
 # Position-Independent Code necessary for shared library
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+#AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
+#AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
 
 RANDOMSOURCE = \
-	RandomNumberDistribution_Encapsulation.cpp \
-	RandomNumberDistribution_Parameters.cpp \
-	RandomNumberDistributionFactory.cpp \
-	RandomNumberEngine_Encapsulation.cpp \
-	RandomNumberEngine_Parameters.cpp \
-	RandomNumberEngineFactory.cpp \
-	RandomNumberGenerator.cpp \
-	RandomNumberGeneratorFactory.cpp \
-	TemplatePowerSetGenerator.hpp \
-	EmptyPrototypeTable.hpp
+	RandomNumbers/RandomNumberDistribution_Encapsulation.cpp \
+	RandomNumbers/RandomNumberDistribution_Parameters.cpp \
+	RandomNumbers/RandomNumberDistributionFactory.cpp \
+	RandomNumbers/RandomNumberEngine_Encapsulation.cpp \
+	RandomNumbers/RandomNumberEngine_Parameters.cpp \
+	RandomNumbers/RandomNumberEngineFactory.cpp \
+	RandomNumbers/RandomNumberGenerator.cpp \
+	RandomNumbers/RandomNumberGeneratorFactory.cpp \
+	RandomNumbers/TemplatePowerSetGenerator.hpp \
+	RandomNumbers/EmptyPrototypeTable.hpp
 
 RANDOMHEADER = \
-	RandomNumberDistribution.hpp \
-	RandomNumberDistribution_Parameters.hpp \
-	RandomNumberDistribution_Encapsulation.hpp \
-	RandomNumberDistributionFactory.hpp \
-	RandomNumberEngine.hpp \
-	RandomNumberEngine_Encapsulation.hpp \
-	RandomNumberEngine_Parameters.hpp \
-	RandomNumberEngineFactory.hpp \
-	RandomNumberGenerator.hpp \
-	RandomNumberGenerator_Encapsulation.hpp \
-	RandomNumberGeneratorFactory.hpp
+	RandomNumbers/RandomNumberDistribution.hpp \
+	RandomNumbers/RandomNumberDistribution_Parameters.hpp \
+	RandomNumbers/RandomNumberDistribution_Encapsulation.hpp \
+	RandomNumbers/RandomNumberDistributionFactory.hpp \
+	RandomNumbers/RandomNumberEngine.hpp \
+	RandomNumbers/RandomNumberEngine_Encapsulation.hpp \
+	RandomNumbers/RandomNumberEngine_Parameters.hpp \
+	RandomNumbers/RandomNumberEngineFactory.hpp \
+	RandomNumbers/RandomNumberGenerator.hpp \
+	RandomNumbers/RandomNumberGenerator_Encapsulation.hpp \
+	RandomNumbers/RandomNumberGeneratorFactory.hpp
 
-lib_LTLIBRARIES = libMolecuilderRandomNumbers.la
+noinst_LTLIBRARIES += libMolecuilderRandomNumbers.la
 libMolecuilderRandomNumbers_includedir = $(includedir)/MoleCuilder/RandomNumbers/
-#libMolecuilderRandomNumbers_libs = 
-#	$(GSL_LIBS)
 nobase_libMolecuilderRandomNumbers_include_HEADERS = ${RANDOMHEADER}
 
@@ -52,5 +50,5 @@
 ## library file (.so).  The library ABI version is defined in configure.ac, so
 ## that all version information is kept in one place.
-libMolecuilderRandomNumbers_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
+#libMolecuilderRandomNumbers_la_LDFLAGS = -version-info $(MOLECUILDER_SO_VERSION)
 
 ## The generated configuration header is installed in its own subdirectory of
@@ -75,9 +73,2 @@
 #pkgconfig_DATA = $(top_builddir)/MoleCuilder.pc
 
-unity.cpp:
-	echo "" >  unity.cpp; \
-	list='$(LINALGSOURCE)'; for file in $$list; do \
-	  echo "#include \"$(srcdir)/$$file\"" >> unity.cpp; \
-	done;
-	
-MOSTLYCLEANFILES = unity.cpp
Index: src/RandomNumbers/unittests/Makefile.am
===================================================================
--- src/RandomNumbers/unittests/Makefile.am	(revision 0bfe73198acf0b25ec0a7bb4d1fbea55f5b248d1)
+++ src/RandomNumbers/unittests/Makefile.am	(revision 4555736a848291ba2a2394892fd02081032c5861)
@@ -2,10 +2,22 @@
 # Also indentation by a single tab
 
-INCLUDES = -I$(top_srcdir)/src
+#INCLUDES = -I$(top_srcdir)/src
 
-AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
-AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
+#AM_LDFLAGS = ${CodePatterns_LIBS} $(CPPUNIT_LIBS) -ldl
+#AM_CPPFLAGS = ${BOOST_CPPFLAGS} $(CPPUNIT_CFLAGS) ${CodePatterns_CFLAGS}
 
-TESTS = \
+RANDOMNUMBERTESTSSOURCES = \
+	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.cpp \
+	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.cpp \
+	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.cpp \
+	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.cpp
+
+RANDOMNUMBERTESTSHEADERS = \
+	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.hpp \
+	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.hpp \
+	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.hpp \
+	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.hpp
+
+RANDOMNUMBERTESTS = \
   RandomNumberDistributionFactoryUnitTest \
   RandomNumberEngineFactoryUnitTest \
@@ -13,36 +25,35 @@
   RandomNumberGeneratorUnitTest
 
+TESTS += $(RANDOMNUMBERTESTS)
+check_PROGRAMS += $(RANDOMNUMBERTESTS) 
+noinst_PROGRAMS += $(RANDOMNUMBERTESTS)
 
-check_PROGRAMS = $(TESTS) 
-noinst_PROGRAMS = $(TESTS)
-
-BOOST_LIB = $(BOOST_LDFLAGS) $(BOOST_MPL_LIB) $(BOOST_PROGRAM_OPTIONS_LIB) $(BOOST_FILESYSTEM_LIB) $(BOOST_SYSTEM_LIB) $(BOOST_THREAD_LIB)
-GSLLIBS = \
+RANDOMNUMBERLIBS = \
 	${CodePatterns_LIBS} \
 	$(BOOST_LIB)
 
 RandomNumberDistributionFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	RandomNumberDistributionFactoryUnitTest.cpp \
-	RandomNumberDistributionFactoryUnitTest.hpp
-RandomNumberDistributionFactoryUnitTest_LDADD = ${GSLLIBS} \
-	../../RandomNumbers/libMolecuilderRandomNumbers.la
+	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.cpp \
+	../RandomNumbers/unittests/RandomNumberDistributionFactoryUnitTest.hpp
+RandomNumberDistributionFactoryUnitTest_LDADD = ${RANDOMNUMBERLIBS} \
+	../libMolecuilderRandomNumbers.la
 
 RandomNumberEngineFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	RandomNumberEngineFactoryUnitTest.cpp \
-	RandomNumberEngineFactoryUnitTest.hpp
-RandomNumberEngineFactoryUnitTest_LDADD = ${GSLLIBS} \
-	../../RandomNumbers/libMolecuilderRandomNumbers.la
+	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.cpp \
+	../RandomNumbers/unittests/RandomNumberEngineFactoryUnitTest.hpp
+RandomNumberEngineFactoryUnitTest_LDADD = ${RANDOMNUMBERLIBS} \
+	../libMolecuilderRandomNumbers.la
 
 RandomNumberGeneratorFactoryUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	RandomNumberGeneratorFactoryUnitTest.cpp \
-	RandomNumberGeneratorFactoryUnitTest.hpp
-RandomNumberGeneratorFactoryUnitTest_LDADD = ${GSLLIBS} \
-	../../RandomNumbers/libMolecuilderRandomNumbers.la
+	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.cpp \
+	../RandomNumbers/unittests/RandomNumberGeneratorFactoryUnitTest.hpp
+RandomNumberGeneratorFactoryUnitTest_LDADD = ${RANDOMNUMBERLIBS} \
+	../libMolecuilderRandomNumbers.la
 
 RandomNumberGeneratorUnitTest_SOURCES = $(top_srcdir)/src/unittests/UnitTestMain.cpp \
-	RandomNumberGeneratorUnitTest.cpp \
-	RandomNumberGeneratorUnitTest.hpp
-RandomNumberGeneratorUnitTest_LDADD = ${GSLLIBS} \
-	../../RandomNumbers/libMolecuilderRandomNumbers.la
+	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.cpp \
+	../RandomNumbers/unittests/RandomNumberGeneratorUnitTest.hpp
+RandomNumberGeneratorUnitTest_LDADD = ${RANDOMNUMBERLIBS} \
+	../libMolecuilderRandomNumbers.la
 
 