Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order1.at	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order2.at	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order3.at	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP
Index: tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/1_2-dimethylbenzene/testsuite-fragmenting-1_2-dimethylbenzene-order4.at	(revision 09183883c4af7885de0d266ede8f220dc680b30a)
@@ -15,6 +15,7 @@
 
 AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
-AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
-AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+AT_CHECK([ls ${FILENAME}*.conf | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.xyz | wc -l | grep $FragNo], 0, [ignore], [ignore])
+AT_CHECK([ls ${FILENAME}*.in | wc -l | grep $FragNo], 0, [ignore], [ignore])
 
 AT_CLEANUP