Index: ThirdParty/mpqc_open/src/lib/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -8,4 +8,5 @@
 noinst_LTLIBRARIES =
 #pyexec_LTLIBRARIES =
+TESTS =
 BUILT_SOURCES =
 bin_PROGRAMS =
Index: ThirdParty/mpqc_open/src/lib/chemistry/molecule/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/molecule/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/molecule/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -86,4 +86,5 @@
 	symmetrize
 
+TESTS += $(MOLECULETESTS)
 check_PROGRAMS += $(MOLECULETESTS)
 noinst_PROGRAMS += $(MOLECULETESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/basis/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/basis/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/basis/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -95,4 +95,5 @@
         btest
 
+TESTS += $(BASISTESTS)
 check_PROGRAMS += $(BASISTESTS)
 noinst_PROGRAMS += $(BASISTESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/cints/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/cints/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/cints/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -87,4 +87,5 @@
         cintstest
 
+TESTS += $(CINTSTESTS)
 check_PROGRAMS += $(CINTSTESTS)
 noinst_PROGRAMS += $(CINTSTESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/dft/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/dft/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/dft/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -64,4 +64,5 @@
 	lebedev
 
+TESTS += $(DFTTESTS)
 check_PROGRAMS += $(DFTTESTS)
 noinst_PROGRAMS += $(DFTTESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/intv3/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/intv3/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/intv3/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -82,4 +82,5 @@
 	inttest
 
+TESTS += $(INTV3TESTS)
 check_PROGRAMS += $(INTV3TESTS)
 noinst_PROGRAMS += $(INTV3TESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/mbpt/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/mbpt/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/mbpt/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -70,4 +70,5 @@
 	mbpttest
 
+TESTS += $(MBPTTESTS)
 check_PROGRAMS += $(MBPTTESTS)
 noinst_PROGRAMS += $(MBPTTESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/mbptr12/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/mbptr12/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/mbptr12/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -120,4 +120,5 @@
         mbptr12test
 
+TESTS += $(MBPTR12TESTS)
 check_PROGRAMS += $(MBPTR12TESTS)
 noinst_PROGRAMS += $(MBPTR12TESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/psi/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/psi/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/psi/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -56,4 +56,5 @@
         psitest
 
+TESTS += $(PSITESTS)
 check_PROGRAMS += $(PSITESTS)
 noinst_PROGRAMS += $(PSITESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/scf/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/scf/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/scf/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -89,4 +89,5 @@
         scftest
 
+TESTS += $(SCFTESTS)
 check_PROGRAMS += $(SCFTESTS)
 noinst_PROGRAMS += $(SCFTESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/qc/wfn/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/qc/wfn/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/qc/wfn/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -66,4 +66,5 @@
         wfntest
 
+TESTS += $(WFNTESTS)
 check_PROGRAMS += $(WFNTESTS)
 noinst_PROGRAMS += $(WFNTESTS)
Index: ThirdParty/mpqc_open/src/lib/chemistry/solvent/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/chemistry/solvent/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/chemistry/solvent/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -50,4 +50,5 @@
         bemtest
 
+TESTS += $(SOLVENTTESTS)
 check_PROGRAMS += $(SOLVENTTESTS)
 noinst_PROGRAMS += $(SOLVENTTESTS)
Index: ThirdParty/mpqc_open/src/lib/math/isosurf/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/isosurf/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/math/isosurf/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -71,4 +71,5 @@
 	isotest
 
+TESTS += $(ISOSURFTESTS)
 check_PROGRAMS += $(ISOSURFTESTS)
 noinst_PROGRAMS += $(ISOSURFTESTS)
Index: ThirdParty/mpqc_open/src/lib/math/optimize/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/optimize/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/math/optimize/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -80,4 +80,5 @@
 	kvopt
 
+TESTS += $(OPTIMIZETESTS)
 check_PROGRAMS += $(OPTIMIZETESTS)
 noinst_PROGRAMS += $(OPTIMIZETESTS)
Index: ThirdParty/mpqc_open/src/lib/math/scmat/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/scmat/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/math/scmat/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -119,4 +119,5 @@
 	blockedtest
 	
+TESTS += $(SCMATTESTS)
 check_PROGRAMS += $(SCMATTESTS)
 noinst_PROGRAMS += $(SCMATTESTS)
Index: ThirdParty/mpqc_open/src/lib/math/symmetry/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/math/symmetry/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/math/symmetry/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -58,4 +58,5 @@
 	testpg
         
+TESTS += $(SYMMETRYTESTS)
 check_PROGRAMS += $(SYMMETRYTESTS)
 noinst_PROGRAMS += $(SYMMETRYTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/class/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/class/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/class/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -53,4 +53,5 @@
 	scextest_class
 
+TESTS += $(CLASSTESTS)
 check_PROGRAMS += $(CLASSTESTS)
 noinst_PROGRAMS += $(CLASSTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/container/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/container/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/container/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -56,4 +56,5 @@
 	avltest
 
+TESTS += $(CONTAINERTESTS)
 check_PROGRAMS += $(CONTAINERTESTS)
 noinst_PROGRAMS += $(CONTAINERTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/group/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/group/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/group/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -141,4 +141,5 @@
 	thrtest
 
+TESTS += $(GROUPTESTS)
 check_PROGRAMS += $(GROUPTESTS)
 noinst_PROGRAMS += $(GROUPTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/keyval/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/keyval/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/keyval/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -69,4 +69,5 @@
 	keyvaltest
 
+TESTS += $(KEYVALTESTS)
 check_PROGRAMS += $(KEYVALTESTS)
 noinst_PROGRAMS += $(KEYVALTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/misc/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -84,4 +84,5 @@
 	formiot
 
+TESTS += $(MISCTESTS)
 check_PROGRAMS += $(MISCTESTS)
 noinst_PROGRAMS += $(MISCTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/options/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/options/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/options/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -49,4 +49,5 @@
 	sample
 
+TESTS += $(OPTIONSTESTS)
 check_PROGRAMS += $(OPTIONSTESTS)
 noinst_PROGRAMS += $(OPTIONSTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/psi3/libpsio/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/psi3/libpsio/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/psi3/libpsio/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -106,4 +106,5 @@
         psiotest
 
+TESTS += $(PSIOTESTS)
 check_PROGRAMS += $(PSIOTESTS)
 noinst_PROGRAMS += $(PSIOTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/ref/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -51,4 +51,5 @@
         reftest
 
+TESTS += $(REFTESTS)
 check_PROGRAMS += $(REFTESTS)
 noinst_PROGRAMS += $(REFTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/render/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/render/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/render/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -78,4 +78,5 @@
         rentest
 
+TESTS += $(RENDERTESTS)
 check_PROGRAMS += $(RENDERTESTS)
 noinst_PROGRAMS += $(RENDERTESTS)
Index: ThirdParty/mpqc_open/src/lib/util/state/Makefile.am
===================================================================
--- ThirdParty/mpqc_open/src/lib/util/state/Makefile.am	(revision 6b1a6a74f7e57bc0b3f4e590d1f6ea04703c9ab0)
+++ ThirdParty/mpqc_open/src/lib/util/state/Makefile.am	(revision 1513599219e6dae4638b0da9785b85c85249a67d)
@@ -66,4 +66,5 @@
         statetest
 
+TESTS += $(STATETESTS)
 check_PROGRAMS += $(STATETESTS)
 noinst_PROGRAMS += $(STATETESTS)